/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 *
 * TotalCostScriptedCalculatedValue
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.acme.providers.script.WorkflowStateScriptedCalculatedValue");
dojo.require("com.ibm.team.workitem.api.common.WorkItemAttributes");

/**
 * @see https://jazz.net/wiki/bin/view/Main/AttributeCustomization#Using_scripts_for_attribute_cust
 * @see https://jazz.net/wiki/bin/view/Main/AttributeCustomization#API_Example
 */
(function() {
	var doDebug = true;
	var scriptname = "WorkflowStateScriptedCalculatedValue";
	var WorkItemAttributes = com.ibm.team.workitem.api.common.WorkItemAttributes;

	dojo.declare("com.acme.providers.script.WorkflowStateScriptedCalculatedValue", null, {

        getValue: function(attribute, workItem, configuration) {
        	debug("Start"); 
        	
        	var workFlowState = workItem.getValue(WorkItemAttributes.STATE);
        	debug("WorkflowState: " + workFlowState);
        	
        	// Replace <URL> with the resource URL to the image attached to a work item
        	if(workFlowState=="") return "{{<URL>|New}}";
        	if(workFlowState=="tecReviewWorkflow.state.s1") return "{{<URL>|Proposed}}";
        	if(workFlowState=="tecReviewWorkflow.state.s2") return "{{<URL>|Under Research}}";
        	if(workFlowState=="tecReviewWorkflow.state.s3") return "{{<URL>|Experimental}}";
        	if(workFlowState=="tecReviewWorkflow.state.s4") return "{{<URL>|Approved}}";
        	if(workFlowState=="tecReviewWorkflow.state.s5") return "{{<URL>|Rejected}}";
        	if(workFlowState=="tecReviewWorkflow.state.s6") return "{{<URL>|Adopted}}";
        	return "{{<URL>|Unknown State}}";
 			
	    	function debug(display){	    		
	    		if(doDebug){
	        		console.log(scriptname + " " + display);
	    		}
	    	}	 
	    }
    });
})();